# Accounting Codes Accounting Codes are commonly referred to as General Ledger Accounts or General Ledger Account Codes. In Zuora, the use of accounting codes are optional but recommended. This section contains the operations that allow you to create, update, get, delete, activate, or deactivate accounting codes in Zuora. ## List all accounting codes - [GET /v1/accounting-codes](https://developer.zuora.com/v1-api-reference/api/accounting-codes/get_allaccountingcodes.md): This reference describes how to query all accounting codes in your chart of accounts through the REST API. ## Create an accounting code - [POST /v1/accounting-codes](https://developer.zuora.com/v1-api-reference/api/accounting-codes/post_accountingcode.md): This reference describes how to create a new accounting code through the REST API. The accounting code will be active as soon as it has been created. ### Prerequisites If you have Zuora Finance enabled on your tenant, you must have the Configure Accounting Codes permission. ## Delete an accounting code - [DELETE /v1/accounting-codes/{ac-id}](https://developer.zuora.com/v1-api-reference/api/accounting-codes/delete_accountingcode.md): This reference describes how to delete an accounting code through the REST API. ### Prerequisites If you have Zuora Finance enabled on your tenant, then you must have the Delete Unused Accounting Code permission. ### Limitations You can only delete accounting codes that have never been associated with any transactions. An accounting code must be deactivated before you can delete it. ## Retrieve an accounting code - [GET /v1/accounting-codes/{ac-id}](https://developer.zuora.com/v1-api-reference/api/accounting-codes/get_accountingcode.md): This reference describes how to query an accounting code through the REST API. ## Update an accounting code - [PUT /v1/accounting-codes/{ac-id}](https://developer.zuora.com/v1-api-reference/api/accounting-codes/put_accountingcode.md): This reference describes how to update an existing accounting code through the REST API. ### Prerequisites If you have Zuora Finance enabled on your tenant, you must have the Manage Accounting Code permission. ### Limitations You can only update accounting codes that are not already associated with any transactions. ## Activate an accounting code - [PUT /v1/accounting-codes/{ac-id}/activate](https://developer.zuora.com/v1-api-reference/api/accounting-codes/put_activateaccountingcode.md): This reference describes how to activate an accounting code through the REST API. Prerequisites ------------- If you have Zuora Finance enabled on your tenant, you must have the Manage Accounting Code permission. ## Deactivate an accounting code - [PUT /v1/accounting-codes/{ac-id}/deactivate](https://developer.zuora.com/v1-api-reference/api/accounting-codes/put_deactivateaccountingcode.md): This reference describes how to deactivate an accounting code through the REST API. ### Prerequisites If you have Zuora Finance enabled on your tenant, you must have the Manage Accounting Code permission. ### Limitations You can only deactivate accounting codes that are not associated with any transactions. You cannot disable accounting codes of type AccountsReceivable.